/*
 * Yaotp (Yet Another One-Time Pad) 
 * ---
 * (c) 2004 Plasmoid <plasmoid@thc.org>, The Hacker's Choice
 * $Id: buf.h,v 1.23 2004/08/10 13:52:04 plasmoid Exp $  
 * ---
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free 
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
 * MA 02111-1307, USA.
 */

#ifndef _BUF_H
#define _BUF_H

/*
 * Simple buffer struct similar to strbuf 
 */
typedef struct {
   unsigned char *buf;
   size_t len;
   size_t maxlen;
} buf_t;

int create_buf(buf_t ** b, size_t len);
void free_buf(buf_t * b, int wipe);
buf_t *clone_buf(buf_t * b);
int resize_buf(buf_t * b, size_t len, int wipe);
int append_md5(buf_t * b, int wipe);
int verify_md5(buf_t * b);

#endif				/* _BUF_H */
