/*
 * Yaotp (Yet Another One-Time Pad) 
 * ---
 * (c) 2004 Plasmoid <plasmoid@thc.org>, The Hacker's Choice
 * $Id: rng.h,v 1.8 2004/08/10 13:52:05 plasmoid Exp $  
 * ---
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public 
 * License along with this program; if not, write to the Free 
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, 
 * MA 02111-1307, USA.
 */

#ifndef _RNG_H
#define _RNG_H

#define MEAN_TOLERANCE  8                     /* Byte mean tolerance */
#define DEVI_TOLERANCE  2                     /* Byte deviation tolerance */
#define ENTR_TOLERANCE  0.08                  /* Byte entropy tolerance */

#define log2of10 3.32192809488736234787       

/*
 * Message digest algorithms
 */
typedef enum {
   HASH_SHA, HASH_MD5, HASH_RIPEMD
} hash_t;

int overlay_buf(buf_t * b, int num);
int hash_buf(buf_t * b, int ratio, hash_t alg);
int check_randomness(buf_t * b, int warn);

#endif				/* _RNG_H */
